<template>
  <div class="login-page">
    <div class="login-container">
      <h1>Авторизуйся і продовжуй!</h1>
      <button @click="handleLoginWithGoogle" class="google-btn">Увійти з Google</button>
    </div>
    <router-view></router-view>
  </div>
</template>

<script>
import { mapActions } from 'vuex';

export default {
  name: 'LoginPage',

  methods: {
    ...mapActions('auth', ['loginWithGoogle']),

    async handleLoginWithGoogle() {
      // Call your loginWithGoogle action
      await this.loginWithGoogle();

      // Check if the user is authenticated
      if (this.$store.getters.isAuthenticated) {
        // Navigate to the '/settlement' route
        this.$router.push('/settlement');
      }
    },

    applyFilter() {
      // Your existing code for the applyFilter method
    },
  },
};
</script>

<style scoped>
.login-page {
  background-image: url("@/assets/L1.png");
  background-size: cover;
  background-position: center;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
}

.login-container {
  text-align: center;
}

h1 {
  font-size: 34px;
  margin-bottom: 20px;
  color: #fff;
}

.google-btn {
  color: white;
    padding: 12px 20px;
    border: 4px solid rgb(217, 204, 22);
    border-radius: 80px;
    cursor: pointer;
    font-size: 18px;
    transition: background-color 0.3s;
    animation: pulse 2s infinite, scale 2s infinite;
}

.google-btn:hover {
  background-color: #676767;
}

@keyframes pulse {
    0%,
    100% {
      background-color: transparent;
    }
    50% {
      background-color: rgb(217, 204, 22);
      color: black; /* Змініть колір тексту на відповідний */
    }
  }
  
  @keyframes scale {
    0%,
    100% {
      transform: scale(1);
    }
    50% {
      transform: scale(1.2);
    }
  }
</style>
